^Palettes:
    PaletteFromFile@red:
        Name: red
        Filename: red.pal
        ShadowIndex: 4
		
^TreesCol:
    WithIdleOverlay@red:
		Sequence: idle
        RequiresCondition: red
		Palette: red         
    ConditionManager:
    GrantRandomCondition@COLORS:
        Conditions: red
    WithSpriteBody:
		RequiresCondition: !red

T10:
   	Inherits@COLOR: ^TreesCol
	
T13:
	Inherits@COLOR: ^TreesCol